* {
  margin: 0%;
  padding: 0%;
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  width: 100%;
  background-color: var(--bg-primary-color);
  color: var(--text-primary-color);
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

:root {

  /* bg colors */
  --bg-primary-color: #111111;
  --bg-fill-color: #efeded;
  --bg-food-color: red;

  /* text-colors */
  --text-primary-color: #f0eeee;

  /* spacing variables */
  --space-sm: 4px;
  --space-md: 8px;
  --space-lg: 16px;
  --space-xl: 24px;
  --space-2xl: 28px;

  /* border radius */
  --border-radius-sm: 4px;
  --border-radius-md: 8px;
  --border-radius-lg: 16px;
  --border-radius-xl: 24px;
  --border-radius-2xl: 28px;

  /* gap */
  --gap-sm: 4px;
  --gap-md: 8px;
  --gap-lg: 16px;
  --gap-xl: 24px;

  /* border colors */
  --border-primary-color: gray;
}

.btn {
  padding: var(--space-sm) var(--space-md);
  border-radius: var(--border-radius-sm);
  border: none;
  cursor: pointer;
  transition: all ease 0.3s;

}

.btn:hover {
  transform: scale(1.1);
}


main,
section {
  width: 100%;
  height: 100%;
  padding: var(--space-lg);
  display: flex;
  flex-direction: column;
  gap: var(--gap-xl);
}

.game-info {
  display: flex;
  align-items: center;
  justify-content: space-between;

  .info {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--border-primary-color);
    padding: 4px 12px;
    border-radius: 8px;
  }
}

.game-board {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(30px, 1fr));
  grid-template-rows: repeat(auto-fill, minmax(30px, 1fr));
  border: 1px solid var(--border-primary-color);
  flex-grow: 1;
  /* border-radius: 16px; */
}

.block {
  border: 1px solid var(--border-primary-color);
  text-align: center;
  border-radius: 50%;
}

.fill {
  background-color: var(--bg-fill-color);
}

.food {
  background-color: var(--bg-food-color);
}

.modal {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  /* background-color: #35353537; */
  backdrop-filter: blur(4px);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  .start-game, .game-over {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--space-lg);
  }

  .game-over{
    display: none;
  }

}

